[
    {
        "directory": "C:/Users/phangl/00_Repos/06_DSP_Simulation/simulation",
        "file": "main.c",
        "arguments": [
            "chess-clang",
            "-IC:/Users/phangl/OneDrive - MED-EL/Desktop/LPDSP32_Modell/lib",
            "--chess-proc-dir=C:/Users/phangl/OneDrive - MED-EL/Desktop/LPDSP32_Modell/lib",
            "-S",
            "-nostdlibinc",
            "-D__chess__",
            "-D__tct_release__=2506",
            "-g",
            "-IC:/Users/phangl/OneDrive - MED-EL/Desktop/LPDSP32_Modell/lib/runtime/include",
            "-DBLOCK_LEN=1",
            "-DMAX_FIR_COEFFS=48",
            "-D__tct_patch__=0",
            "-include",
            "lpdsp32_llvm.h",
            "-xc++",
            "-Wno-register",
            "-DLLVM_NO_WARN_IGNORED_CHESS",
            "-D__ndl__",
            "-U__chess_clang__",
            "-Dassembly=",
            "-Dasm_begin=asm(",
            "-Dasm_end=);",
            "main.c",
            "--chess-proc-name=lpdsp32"
        ]
    },
    {
        "directory": "C:/Users/phangl/00_Repos/06_DSP_Simulation/simulation",
        "file": "signal_processing/signal_path.c",
        "arguments": [
            "chess-clang",
            "-IC:/Users/phangl/OneDrive - MED-EL/Desktop/LPDSP32_Modell/lib",
            "--chess-proc-dir=C:/Users/phangl/OneDrive - MED-EL/Desktop/LPDSP32_Modell/lib",
            "-S",
            "-nostdlibinc",
            "-D__chess__",
            "-D__tct_release__=2506",
            "-g",
            "-IC:/Users/phangl/OneDrive - MED-EL/Desktop/LPDSP32_Modell/lib/runtime/include",
            "-DBLOCK_LEN=1",
            "-DMAX_FIR_COEFFS=48",
            "-D__tct_patch__=0",
            "-include",
            "lpdsp32_llvm.h",
            "-xc++",
            "-Wno-register",
            "-DLLVM_NO_WARN_IGNORED_CHESS",
            "-D__ndl__",
            "-U__chess_clang__",
            "-Dassembly=",
            "-Dasm_begin=asm(",
            "-Dasm_end=);",
            "signal_processing/signal_path.c",
            "--chess-proc-name=lpdsp32"
        ]
    }
]
